Get transfer
curl --request GET \
--url https://api.business.bumxpress.com/transfers/{transfer_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"payin_status": "<string>",
"payout_status": "<string>",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"payin_amount": "10000",
"payin_currency": "XAF",
"payout_amount": "10000",
"payout_currency": "XAF",
"corridor_code": "<string>",
"corridor_type": "<string>",
"execution": {},
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
},
"recipient": {
"country_code": "CM",
"rail_type": "mobile_money",
"recipient_type": "individual",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"email": "jsmith@example.com",
"recipient_nationality_code": "CM",
"address_line1": "<string>",
"city": "<string>"
},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Transfers
Get transfer
Retrieve transfer status and leg execution details.
GET
https://api.business.bumxpress.com
/
transfers
/
{transfer_id}
Get transfer
curl --request GET \
--url https://api.business.bumxpress.com/transfers/{transfer_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"payin_status": "<string>",
"payout_status": "<string>",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"payin_amount": "10000",
"payin_currency": "XAF",
"payout_amount": "10000",
"payout_currency": "XAF",
"corridor_code": "<string>",
"corridor_type": "<string>",
"execution": {},
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
},
"recipient": {
"country_code": "CM",
"rail_type": "mobile_money",
"recipient_type": "individual",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"email": "jsmith@example.com",
"recipient_nationality_code": "CM",
"address_line1": "<string>",
"city": "<string>"
},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Use this endpoint to read payin and payout leg status, execution metadata, and timestamps.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Path Parameters
Response
Transfer object.
Available options:
pending, collecting, disbursing, completed, failed Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 8, 2026